export interface DATASET {
    x: Array<any>;
    y: Array<any>;
    labels: Array<string>;
    vocab: any;
    length: number;
}
export declare class Preprocessor {
    private RAW_DATA;
    private CORPUS_DATA;
    private INTENT_PATTERNS;
    private INTENT_CLASSES;
    private TRAINING_DATA;
    private TRAINING_LABELS;
    private INPUT_LENGTH;
    private VOCABULARY;
    constructor(rawDataset: Array<any>);
    init(): Promise<DATASET>;
    private prepareTrainingData;
    private generateVocabulary;
    private textVectorize;
    private padSequence;
    private classOneHotEncode;
}
